Net::DNS::RR::TKEY(3)

NAME
Net::DNS::RR::TKEY - DNS TKEY resource record

SYNOPSIS
    use Net::DNS;

DESCRIPTION
Class for DNS TSIG Key (TKEY) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  algorithm
    $algorithm = $rr->algorithm;
    $rr->algorithm( $algorithm );

The algorithm name is in the form of a domain name with the same meaning as in [RFC 2845]. The algorithm determines how the secret keying material agreed to using the TKEY RR is actually used to derive the algorithm specific key.

  inception
    $inception = $rr->inception;
    $rr->inception( $inception );

Time expressed as the number of non-leap seconds modulo 2**32 since the beginning of January 1970 GMT.

  expiration
    $expiration = $rr->expiration;
    $rr->expiration( $expiration );

Time expressed as the number of non-leap seconds modulo 2**32 since the beginning of January 1970 GMT.

  mode
    $mode = $rr->mode;
    $rr->mode( $mode );

The mode field specifies the general scheme for key agreement or the purpose of the TKEY DNS message, as defined in [RFC2930(2.5)].

  error
    $error = $rr->error;
    $rr->error( $error );

The error code field is an extended RCODE.

  key
    $key = $rr->key;
    $rr->key( $key );

Sequence of octets representing the key exchange data. The meaning of this data depends on the mode.

  other
    $other = $rr->other;
    $rr->other( $other );

Content not defined in the [RFC2930] specification but may be used in future extensions.

COPYRIGHT
Copyright (c)2000 Andrew Tridgell.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC2930